from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Optional as _Optional

DESCRIPTOR: _descriptor.FileDescriptor

class PacketBase(_message.Message):
    __slots__ = ("typeName", "nonce", "data", "responseNonce")
    TYPENAME_FIELD_NUMBER: _ClassVar[int]
    NONCE_FIELD_NUMBER: _ClassVar[int]
    DATA_FIELD_NUMBER: _ClassVar[int]
    RESPONSENONCE_FIELD_NUMBER: _ClassVar[int]
    typeName: str
    nonce: int
    data: bytes
    responseNonce: int
    def __init__(self, typeName: _Optional[str] = ..., nonce: _Optional[int] = ..., data: _Optional[bytes] = ..., responseNonce: _Optional[int] = ...) -> None: ...

class HeartBeat(_message.Message):
    __slots__ = ()
    def __init__(self) -> None: ...

class TestData(_message.Message):
    __slots__ = ("index", "message")
    INDEX_FIELD_NUMBER: _ClassVar[int]
    MESSAGE_FIELD_NUMBER: _ClassVar[int]
    index: int
    message: str
    def __init__(self, index: _Optional[int] = ..., message: _Optional[str] = ...) -> None: ...
